Discussion:
Running Make on Ubuntu Cosmic 18.10
(too old to reply)
Mitchel Stewart
2018-10-31 17:12:40 UTC
Permalink
I'm having an issue building android with the shared libraries, I fix one
only to have another one pop up constantly, is there anyway to fix all of
them in one go? or am I stuck to manually fix all the errors one by one?
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
DDS Central
2018-10-31 17:54:58 UTC
Permalink
Error log would help a lot.
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix one
only to have another one pop up constantly, is there anyway to fix all of
them in one go? or am I stuck to manually fix all the errors one by one?
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mitchel Stewart
2018-11-02 20:15:54 UTC
Permalink
My apologies for the delayed reply this is the most recent error I will
also update with the next one I get if it is different
Post by DDS Central
Error log would help a lot.
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix one
only to have another one pop up constantly, is there anyway to fix all of
them in one go? or am I stuck to manually fix all the errors one by one?
--
You received this message because you are subscribed to the Google Groups
"Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an
<javascript:>.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mauro Rossi
2018-11-03 09:33:05 UTC
Permalink
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix one
only to have another one pop up constantly, is there anyway to fix all of
them in one go? or am I stuck to manually fix all the errors one by one?
For any error mentioning shared libraries missing, you need to install them
on the Ubuntu 18.10 building system.

The updated AOSP build system environment preparation for Ubuntu:

sudo apt-get -y install git git-email repo


sudo apt-get -y install bison g++-multilib git gperf libxml2-utils make
zlib1g-dev:i386 zip


sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386


sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu/
libGL.so


sudo apt-get -y install yasm squashfs-tools syslinux-utils


sudo apt-get -y install python-mako


sudo apt install libssl-dev libelf-dev


On Ubuntu 18.10 you will find that there is a building error related to
LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
solution:

cd ~/oreo-x86/build/make

git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5


cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604


cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff


If you build userdebug build, it may still be affected by build id lenght
problem:

cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58


If you build eng build it may still be affected by Settings crashing:

cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf


Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mitchel Stewart
2018-11-03 18:07:18 UTC
Permalink
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix one
only to have another one pop up constantly, is there anyway to fix all of
them in one go? or am I stuck to manually fix all the errors one by one?
For any error mentioning shared libraries missing, you need to install
them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils make
zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu
/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related to
LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id lenght
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mauro Rossi
2018-11-03 19:17:42 UTC
Permalink
Hi,

did you also installed libncurses5-dev ?

Mauro
Post by Mitchel Stewart
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix
one only to have another one pop up constantly, is there anyway to fix all
of them in one go? or am I stuck to manually fix all the errors one by one?
For any error mentioning shared libraries missing, you need to install
them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils make
zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-
gnu/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related to
LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id lenght
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://
github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mitchel Stewart
2018-11-03 19:24:23 UTC
Permalink
Yes it is installed Newest Version (6.1+20180210-4ubuntu1)
Post by Mauro Rossi
Hi,
did you also installed libncurses5-dev ?
Mauro
Post by Mitchel Stewart
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix
one only to have another one pop up constantly, is there anyway to fix all
of them in one go? or am I stuck to manually fix all the errors one by one?
For any error mentioning shared libraries missing, you need to install
them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils make
zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-
gnu/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related to
LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://
github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://
github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mauro Rossi
2018-11-04 11:07:30 UTC
Permalink
Hi,
Post by Mitchel Stewart
Yes it is installed Newest Version (6.1+20180210-4ubuntu1)
then "googling around" you may need to create a symbolic link in Ubuntu
18.10


sudo ln -s /lib/x86_64-linux-gnu/libncurses.so.5 /lib/x86_64-linux-gnu/libncurses.so.6
Post by Mitchel Stewart
Post by Mauro Rossi
Hi,
did you also installed libncurses5-dev ?
Mauro
Post by Mitchel Stewart
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix
one only to have another one pop up constantly, is there anyway to fix all
of them in one go? or am I stuck to manually fix all the errors one by one?
For any error mentioning shared libraries missing, you need to install
them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils
make zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-
gnu/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related to
LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://
github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://
github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mitchel Stewart
2018-11-22 21:14:04 UTC
Permalink
Sorry for the late reply, when I try to run that I get the error failed to
create symbolic link '...' file exists
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
Yes it is installed Newest Version (6.1+20180210-4ubuntu1)
then "googling around" you may need to create a symbolic link in Ubuntu
18.10
sudo ln -s /lib/x86_64-linux-gnu/libncurses.so.5 /lib/x86_64-linux-gnu/libncurses.so.6
Post by Mitchel Stewart
Post by Mauro Rossi
Hi,
did you also installed libncurses5-dev ?
Mauro
Post by Mitchel Stewart
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I fix
one only to have another one pop up constantly, is there anyway to fix all
of them in one go? or am I stuck to manually fix all the errors one by one?
For any error mentioning shared libraries missing, you need to install
them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils
make zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux
-gnu/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related
to LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://
github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://
github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
UniCav
2018-11-28 00:07:52 UTC
Permalink
Do you have Java 8 or 11 installed?

openjdk-11-jre and openjdk-11-jdk
Post by Mitchel Stewart
Sorry for the late reply, when I try to run that I get the error failed to
create symbolic link '...' file exists
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
Yes it is installed Newest Version (6.1+20180210-4ubuntu1)
then "googling around" you may need to create a symbolic link in Ubuntu
18.10
sudo ln -s /lib/x86_64-linux-gnu/libncurses.so.5 /lib/x86_64-linux-gnu/libncurses.so.6
Post by Mitchel Stewart
Post by Mauro Rossi
Hi,
did you also installed libncurses5-dev ?
Mauro
Post by Mitchel Stewart
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I
fix one only to have another one pop up constantly, is there anyway to fix
all of them in one go? or am I stuck to manually fix all the errors one by
one?
For any error mentioning shared libraries missing, you need to
install them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils
make zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-
linux-gnu/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related
to LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the following
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://
github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://
github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Mitchel Stewart
2018-11-28 21:32:37 UTC
Permalink
I did have them, ive tried both, I have decided to simply reinstall android
18.04.1, thanks anyway
Post by UniCav
Do you have Java 8 or 11 installed?
openjdk-11-jre and openjdk-11-jdk
Post by Mitchel Stewart
Sorry for the late reply, when I try to run that I get the error failed
to create symbolic link '...' file exists
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
Yes it is installed Newest Version (6.1+20180210-4ubuntu1)
then "googling around" you may need to create a symbolic link in Ubuntu
18.10
sudo ln -s /lib/x86_64-linux-gnu/libncurses.so.5 /lib/x86_64-linux-gnu/libncurses.so.6
Post by Mitchel Stewart
Post by Mauro Rossi
Hi,
did you also installed libncurses5-dev ?
Mauro
Post by Mitchel Stewart
Hello I tried your first steps to see if I could at least get past my
current issue however It made no progress at all unfortunately, still error
on libncurses.so.5 I would rather not have to install ubuntu 18.04 and get
rid of ubuntu 18.10 but im wondering if it wouldnt be faster to do so,
Post by Mauro Rossi
Hi,
Post by Mitchel Stewart
I'm having an issue building android with the shared libraries, I
fix one only to have another one pop up constantly, is there anyway to fix
all of them in one go? or am I stuck to manually fix all the errors one by
one?
For any error mentioning shared libraries missing, you need to
install them on the Ubuntu 18.10 building system.
sudo apt-get -y install git git-email repo
sudo apt-get -y install bison g++-multilib git gperf libxml2-utils
make zlib1g-dev:i386 zip
sudo apt-get -y install git gnupg flex bison gperf build-essential \
zip curl libc6-dev libncurses5-dev:i386 x11proto-core-dev \
libx11-dev:i386 libreadline6-dev:i386 libgl1-mesa-glx:i386 \
libgl1-mesa-dev g++-multilib tofrodos \
python-markdown libxml2-utils xsltproc zlib1g-dev:i386
sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-
linux-gnu/libGL.so
sudo apt-get -y install yasm squashfs-tools syslinux-utils
sudo apt-get -y install python-mako
sudo apt install libssl-dev libelf-dev
On Ubuntu 18.10 you will find that there is a building error related
to LC_*,
but 'export LC_ALL=C' does not work anymore, I'm using the
cd ~/oreo-x86/build/make
git remote add benzorom https://github.com/BenzoRom/build
git fetch benzorom eightone
git cherry-pick 0cb14ff96536c4ca7b277551b7376ef32658a3c0
git cherry-pick 096d9ef5ea021c0ca7c2d80a3ddcf3ee2a5792c5
cd ~/oreo-x86/build/soong
git remote add benzorom https://github.com/BenzoRom/build_soong
git fetch benzorom eightone
git cherry-pick 4a57f7e8344814322a477f84e58a341d4ae9c604
cd ~/oreo-x86/prebuilts/build-tools
git remote add benzorom https://
github.com/BenzoRom/prebuilts_build-tools
git fetch benzorom eightone
git cherry-pick 4e89ae8133677547ec79b4942f8d27bcb3c90cff
If you build userdebug build, it may still be affected by build id
cd ~/oreo-x86/build/core
git reset --hard
git remote add maurossi https://github.com/maurossi/build_core
git fetch maurossi userdebug_fix
git cherry-pick bbbeb49b6a187e0b662b83cc12b304d42b727e58
cd ~/oreo-x86/packages/apps/Settings
git fetch x86 oreo-x86
git checkout FETCH_HEAD
git remote add maurossi https://
github.com/maurossi/packages_apps_Settings
git fetch maurossi oreo-x86_810_hacks_v2
git cherry-pick 663f0f21cb8302023b32ec1c15d41b993eca016f
git cherry-pick 9999c0685d24b408947137f03a7e5f940fb017cf
Cheers
Mauro
--
You received this message because you are subscribed to the Google Groups "Android-x86" group.
To unsubscribe from this group and stop receiving emails from it, send an email to android-x86+***@googlegroups.com.
To post to this group, send email to android-***@googlegroups.com.
Visit this group at https://groups.google.com/group/android-x86.
For more options, visit https://groups.google.com/d/optout.
Continue reading on narkive:
Loading...